Package com.xebialabs.xlrelease.domain.utils

## Class DeliveryUtils

- java.lang.Object
- - com.xebialabs.xlrelease.domain.utils.DeliveryUtils

-     public class DeliveryUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeliveryUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `deliveryIdFrom​(java.lang.String id)` |
    `static scala.collection.immutable.Seq<TrackedItem>` | `getItemsCompletedInAllStages​(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)` |
    `static scala.collection.immutable.Seq<TrackedItem>` | `getItemsWithStatusInAllStages​(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)` |
    `static boolean` | `hasAnyStatusInStage​(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)` |
    `static boolean` | `isConditionGroup​(Condition condition)` |
    `static java.lang.String` | `transitionIdFrom​(java.lang.String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeliveryUtils

          public DeliveryUtils()

  - ### Method Detail

    - #### deliveryIdFrom

          public static java.lang.String deliveryIdFrom​(java.lang.String id)

    - #### transitionIdFrom

          public static java.lang.String transitionIdFrom​(java.lang.String id)

    - #### getItemsCompletedInAllStages

          public static scala.collection.immutable.Seq<TrackedItem> getItemsCompletedInAllStages​(scala.collection.immutable.Seq<TrackedItem> items,
                                                                                                 scala.collection.immutable.Seq<Stage> stages)

    - #### getItemsWithStatusInAllStages

          public static scala.collection.immutable.Seq<TrackedItem> getItemsWithStatusInAllStages​(scala.collection.immutable.Seq<TrackedItem> items,
                                                                                                  scala.collection.immutable.Seq<Stage> stages,
                                                                                                  scala.collection.immutable.Seq<TrackedItemStatus> statuses)

    - #### hasAnyStatusInStage

          public static boolean hasAnyStatusInStage​(Stage stage,
                                                    TrackedItem item,
                                                    scala.collection.immutable.Seq<TrackedItemStatus> statuses)

    - #### isConditionGroup

          public static boolean isConditionGroup​(Condition condition)